Export Should Start / Should Finish Report as Excel

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v2/projects/{projectId}/scenarios/{scenarioId}/should-start-finish.xlsx

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • startOfWindow string Required
  • endOfWindow string Required
  • groupBy string

    Values are NONE, ACTIVITY_CODE_TYPE, or WBS. Default value is NONE.

  • activityCodeTypeIds array[integer(int64)]
  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]
  • startStatus string

    Values are DELETED, DID_NOT, LATE, ON_TIME, or SHOULD_NOT.

  • finishStatus string

    Values are DELETED, DID_NOT, LATE, ON_TIME, or SHOULD_NOT.

  • overallStatus string

    Values are DELETED, DID_NOT, LATE, ON_TIME, or SHOULD_NOT.

  • sortBy string

    Values are CUSTOM_ID, NAME, START_WINDOW_START, START_WINDOW_FINISH, START_WINDOW_PROGRESS, START_WINDOW_TOTAL_FLOAT, END_WINDOW_START, END_WINDOW_FINISH, END_WINDOW_PROGRESS, END_WINDOW_TOTAL_FLOAT, VARIANCE_START, VARIANCE_FINISH, VARIANCE_PROGRESS, or VARIANCE_TOTAL_FLOAT.

  • sortDirection string

    Values are ASC or DESC.

Responses

  • 200 application/vnd.ms-excel

    OK

GET /public/v2/projects/{projectId}/scenarios/{scenarioId}/should-start-finish.xlsx
curl \
 --request GET 'https://live.smartpmtech.com/public/v2/projects/{projectId}/scenarios/{scenarioId}/should-start-finish.xlsx?startOfWindow=string&endOfWindow=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"